Page MenuHomePhabricator

rack/setup/install db112[45].eqiad.wmnet (sanitarium expansion)
Closed, ResolvedPublic

Description

This task will track the receiving, racking, setup, and installation of two new sanitarium cluster hosts for eqiad, named db112[45].eqiad.wmnet.

Racking Proposal: The redundancy for this cluster (sanitarium) is eqiad-codfw, not within the same DC. However, out of best practices, please rack these two new systems in different racks (and rows if possible) than the following: db1095 in c3, db1102 in d8, db1116 in a6. Rack the two new systems in different racks than one another, and none in a6, c3, or d8. These hosts aren't 10G, so place in 1G networked racks (if possible.)

db1124:

  • - receive in system on procurement task T189590
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production private dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff to DBA team for service implementation

db1125:

  • - receive in system on procurement task T189590
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production private dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff to DBA team for service implementation

Event Timeline

RobH triaged this task as Medium priority.May 15 2018, 4:44 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2018, 4:44 PM
RobH updated the task description. (Show Details)May 15 2018, 4:45 PM
Marostegui moved this task from Triage to Next on the DBA board.May 16 2018, 10:16 AM

Change 433537 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Allow install the new sanitarium hosts

https://gerrit.wikimedia.org/r/433537

Change 433537 merged by Marostegui:
[operations/puppet@production] install_server: Allow install the new sanitarium hosts

https://gerrit.wikimedia.org/r/433537

Change 434863 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Add the new sanitarium hosts to the config

https://gerrit.wikimedia.org/r/434863

Change 434863 merged by Marostegui:
[operations/puppet@production] mariadb: Add the new sanitarium hosts to the config

https://gerrit.wikimedia.org/r/434863

Change 434937 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] DNS entries db1124/db1125

https://gerrit.wikimedia.org/r/434937

Change 434937 merged by Cmjohnson:
[operations/dns@master] DNS entries db1124/db1125

https://gerrit.wikimedia.org/r/434937

Change 434947 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Add MAC addresses db1124/25

https://gerrit.wikimedia.org/r/434947

Change 434947 merged by Cmjohnson:
[operations/puppet@production] Add MAC addresses db1124/25

https://gerrit.wikimedia.org/r/434947

Cmjohnson updated the task description. (Show Details)May 24 2018, 4:20 PM
Cmjohnson reassigned this task from Cmjohnson to Marostegui.May 24 2018, 5:35 PM
Cmjohnson updated the task description. (Show Details)

@Marostegui These are installed and ready for you to take over. Assigning to you

Marostegui closed this task as Resolved.May 24 2018, 6:33 PM

Thanks!
I have confirmed I can access both servers and they look good.
Going to continue the final setup on: T190704

Thanks!

Vvjjkkii renamed this task from rack/setup/install db112[45].eqiad.wmnet (sanitarium expansion) to rwcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Marostegui as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Marostegui renamed this task from rwcaaaaaaa to rack/setup/install db112[45].eqiad.wmnet (sanitarium expansion).Jul 1 2018, 6:37 PM
Marostegui closed this task as Resolved.
Marostegui claimed this task.
Marostegui lowered the priority of this task from High to Medium.
Marostegui updated the task description. (Show Details)